Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 2066 - bootloader fails to install
Summary: bootloader fails to install
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: silo
Version: 6.0
Hardware: sparc
OS: Linux
high
high
Target Milestone: ---
Assignee: Jay Turner
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-04-08 19:21 UTC by Joseph Kotran
Modified: 2015-01-07 23:36 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-04-19 00:03:57 UTC


Attachments (Terms of Use)

Description Joseph Kotran 1999-04-08 19:21:21 UTC
Hello,

        Please note that the installation of the boot loader
fails.  Reviewing the virtual console that displays output
during the install indicated that insmod is failing.
Executing insmod /modules/loop.o returned an error message
complaining about the kernel being a different version
than the module.  I don't know enough about the boot process
to work around this.  However, I can boot the system from
the install floppy by executing `linux root=/dev/sda1
noinitrd`.

                                Regards,

--
Joseph Kotran, Systems Administrator    Lockheed Martin
Phone: 609.338.4327                     Advanced Technology
					Laboratories
Fax:   609.338.4121                     1 Federal St A&E 3W
Email: jkotran@atl.lmco.com             Camden NJ USA 08102

Comment 1 David Miller 1999-04-08 19:54:59 UTC
We need more information about this, I really believe
that he is seeing the bug msw and I are working on
where /mnt/proc cannot be mounted during the bootloader
installation.

I find it peculiar that he mentions what logging on other
VC's said, but fails to say anything at all about the
diagnostic printed by the installer, without this critical
piece of information I can't determine if the bug is the
same.

Comment 2 Bill Nottingham 1999-04-08 21:59:59 UTC
FWIW, I noticed this morning on a sparc that
"silo -r /mnt" failed with "/dev/hda4: device or resource busy",
but "chroot /mnt ; silo " worked perfectly.

Comment 3 Cristian Gafton 1999-04-12 17:04:59 UTC
assigned to msw

Comment 4 Matt Wilson 1999-04-19 00:03:59 UTC
fixed.


Note You need to log in before you can comment on or make changes to this bug.